> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Invoice Status

> Fetch the status for save or reset invoice status action in real time.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/invoices/status.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/invoices/status
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/invoices/status:
    get:
      tags:
        - Taxpayer
        - Returns
        - Invoice Management System
      summary: Check Invoice Status
      operationId: checkInvoiceStatus
      parameters:
        - name: reference_id
          in: query
          description: Pass the reference id on taking Save or Reset action
          required: true
          schema:
            type: string
            example: '{{reference_id}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: >-
            200 Save invoice status processed / 200 Save invoice status
            processed with error / IMSSAV005 Schema validation failure
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          err_cd:
                            type: string
                            example: ''
                          err_cnt:
                            type: string
                            example: '2'
                          err_msg:
                            type: string
                            example: ''
                          error_report:
                            type: object
                            properties:
                              b2b:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    error_cd:
                                      type: string
                                      example: IMSSAV0010
                                    error_msg:
                                      type: string
                                      example: >-
                                        Either previous action is incorrect/
                                        invoice might have edited by supplier
                                    inv:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          inum:
                                            type: string
                                            example: invoice-b2b
                                          rtnprd:
                                            type: string
                                            example: '042023'
                                      example:
                                        - inum: invoice-b2b
                                          rtnprd: '042023'
                                    stin:
                                      type: string
                                      example: 32TAAOA2947A1Z7
                                example:
                                  - error_cd: IMSSAV0010
                                    error_msg: >-
                                      Either previous action is incorrect/
                                      invoice might have edited by supplier
                                    inv:
                                      - inum: invoice-b2b
                                        rtnprd: '042023'
                                    stin: 32TAAOA2947A1Z7
                              dn:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    error_cd:
                                      type: string
                                      example: IMSSAV0010
                                    error_msg:
                                      type: string
                                      example: >-
                                        Either previous action is incorrect/
                                        invoice might have edited by supplier
                                    inv:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          inum:
                                            type: string
                                            example: invoice-dn
                                          rtnprd:
                                            type: string
                                            example: '042023'
                                      example:
                                        - inum: invoice-dn
                                          rtnprd: '042023'
                                    stin:
                                      type: string
                                      example: 32TAAOA2947A1Z7
                                example:
                                  - error_cd: IMSSAV0010
                                    error_msg: >-
                                      Either previous action is incorrect/
                                      invoice might have edited by supplier
                                    inv:
                                      - inum: invoice-dn
                                        rtnprd: '042023'
                                    stin: 32TAAOA2947A1Z7
                          proc_cnt:
                            type: string
                            example: '8'
                          status_cd:
                            type: string
                            example: P
                          transTypCd:
                            type: string
                            example: SAV
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 619ed667-3bc3-4fc2-954c-340174e52a53
              examples:
                200 Save invoice status processed:
                  summary: 200 Save invoice status processed
                  value:
                    code: 200
                    data:
                      data:
                        err_cd: ''
                        err_msg: ''
                        proc_cnt: '8'
                        status_cd: P
                        transTypCd: SAV
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 619ed667-3bc3-4fc2-954c-340174e52a53
                200 Save invoice status processed with error:
                  summary: 200 Save invoice status processed with error
                  value:
                    code: 200
                    data:
                      data:
                        err_cd: ''
                        err_cnt: '2'
                        err_msg: ''
                        error_report:
                          b2b:
                            - error_cd: IMSSAV0010
                              error_msg: >-
                                Either previous action is incorrect/ invoice
                                might have edited by supplier
                              inv:
                                - inum: invoice-b2b
                                  rtnprd: '042023'
                              stin: 32TAAOA2947A1Z7
                          dn:
                            - error_cd: IMSSAV0010
                              error_msg: >-
                                Either previous action is incorrect/ invoice
                                might have edited by supplier
                              inv:
                                - inum: invoice-dn
                                  rtnprd: '042023'
                              stin: 32TAAOA2947A1Z7
                        proc_cnt: '10'
                        status_cd: PE
                        transTypCd: SAV
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 91e86ca1-c7eb-4ea4-b168-0932e56a1afc
                IMSSAV005 Schema validation failure:
                  summary: IMSSAV005 Schema validation failure
                  value:
                    code: 200
                    data:
                      data:
                        err_cd: IMSSAV005
                        err_cnt: '0'
                        err_msg: Schema validation failure
                        proc_cnt: '0'
                        status_cd: ER
                        transTypCd: SAV
                      status_cd: '1'
                    timestamp: 1747049950040
                    transaction_id: 3f6a5200-d137-4ec3-a72d-b386e0efd166
          headers: {}
      deprecated: false
      security: []

````